org.richfaces.renderkit.html.images

## Class InputNumberSliderBarHandleBackgroundImage

- java.lang.Object
- - org.richfaces.resource.AbstractJava2DUserResource
  - - org.richfaces.renderkit.html.images.InputNumberSliderBarHandleBackgroundImage

- All Implemented Interfaces:
    org.richfaces.resource.Java2DUserResource, org.richfaces.resource.StateHolderResource

      public class InputNumberSliderBarHandleBackgroundImage
      extends org.richfaces.resource.AbstractJava2DUserResource
      implements org.richfaces.resource.StateHolderResource

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `InputNumberSliderBarHandleBackgroundImage()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initialize()`
    `boolean` | `isTransient()`
    `void` | `paint(Graphics2D g2d)`
    `void` | `readState(javax.faces.context.FacesContext context, DataInput dataInput)`
    `void` | `setColorParam(String colorParam)`
    `void` | `writeState(javax.faces.context.FacesContext context, DataOutput dataOutput)`

    - ### Methods inherited from class org.richfaces.resource.AbstractJava2DUserResource

      `getDimension, getImageType, getLastModified, getResponseHeaders`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### InputNumberSliderBarHandleBackgroundImage

          public InputNumberSliderBarHandleBackgroundImage()

  - ### Method Detail

    - #### initialize

          public void initialize()

    - #### paint

          public void paint(Graphics2D g2d)

      Specified by:
        `paint` in interface `org.richfaces.resource.Java2DUserResource`

    - #### isTransient

          public boolean isTransient()

      Specified by:
        `isTransient` in interface `org.richfaces.resource.StateHolderResource`

    - #### writeState

          public void writeState(javax.faces.context.FacesContext context,
                        DataOutput dataOutput)
                          throws IOException

      Specified by:
        `writeState` in interface `org.richfaces.resource.StateHolderResource`
      Throws:
        `IOException`

    - #### readState

          public void readState(javax.faces.context.FacesContext context,
                       DataInput dataInput)
                         throws IOException

      Specified by:
        `readState` in interface `org.richfaces.resource.StateHolderResource`
      Throws:
        `IOException`

    - #### setColorParam

          public void setColorParam(String colorParam)

Copyright © 2012 JBoss by Red Hat. All Rights Reserved.